{
  config,
  pkgs,
  inputs,
  ...
}:
let
  nr = import "${inputs.self}/modules/mizukios/features/packages/nr.nix" { inherit pkgs; };
  nrr = import "${inputs.self}/modules/mizukios/features/packages/nrr.nix" { inherit pkgs; };
in
{
  home.stateVersion = "26.05";
  home.username = "imnyang";
  home.homeDirectory = "/home/imnyang";

  home.packages = [
    nr
    nrr
  ];

  home.sessionVariables = {
    EDITOR = "nano";
    VISUAL = "nano";
  };

  programs.fish = {
    enable = true;

    shellAliases = {
      # 디렉토리 네비게이션
      ".." = "cd ..";
      "..." = "cd ../..";

      # ls 별칭
      ls = "eza";
      ll = "eza -l";
      la = "eza -a";
      lla = "eza -la";

      # NixOS 관련
      rebuild = "sudo nixos-rebuild switch --flake .#natsu";
      update = "nix flake update";
      clean = "sudo nix-collect-garbage -d";
    };
    interactiveShellInit = ''
      set -g fish_greeting ""
      set -g fish_color_command blue
      set -g fish_color_error red
      set -g fish_color_param cyan
    '';
  };

  programs.starship = {
    enable = true;
    settings = {
      format = "$username@$hostname:$directory$character";
      add_newline = false;
      username = {
        style_user = "purple";
        style_root = "purple";
        format = "[$user]($style)";
        show_always = true;
      };
      hostname = {
        style = "green";
        format = "[$hostname]($style)";
        ssh_only = false;
      };
      directory = {
        style = "blue";
        format = "[$path]($style)";
        truncation_length = 3;
      };
      character = {
        success_symbol = " >";
        error_symbol = " >";
      };
    };
  };
}
